org.apache.catalina.tribes.jmx

## Class JmxRegistry

- java.lang.Object
- - org.apache.catalina.tribes.jmx.JmxRegistry

-     public class JmxRegistry
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static StringManager` | `sm`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static JmxRegistry` | `getRegistry(Channel channel)`
    `ObjectName` | `registerJmx(String keyprop, Object bean)`
    `static void` | `removeRegistry(Channel channel, boolean clear)`
    `void` | `unregisterJmx(ObjectName oname)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### sm

          protected static final StringManager sm

  - ### Method Detail

    - #### getRegistry

          public static JmxRegistry getRegistry(Channel channel)

    - #### removeRegistry

          public static void removeRegistry(Channel channel,
                            boolean clear)

    - #### registerJmx

          public ObjectName registerJmx(String keyprop,
                               Object bean)

    - #### unregisterJmx

          public void unregisterJmx(ObjectName oname)

Copyright © 2000-2017 Apache Software Foundation. All Rights Reserved.